API Docs
AbsenceAbsence Additional ContingentAbsence ContingentAccountAccountingAccounting ContactAdded ValueAsset AccountAttachmentAttendanceAuthBank AccountCatalogCommissionContactCraftCredit InvoiceCreditorCustom FilterCustom ReportCustomerCustomFieldDashboardDebitorEmailEmployment ContractEstimateFinanceFinance JournalFinance Journal PositionsFinDocCategoryFollowupForecastGeneral InfoHolidayIntegrationsInvoiceJobJob TasksLogin MethodMeMetricsOffice LocationOrder ConfirmationOrganisationPaymentPersonProcedureProcedure ViewPurchase InvoicePurchase OrderReportResource PlanningSnippetTargetTeamTemplateTimeUserUser CraftUser GroupUser Group ActionsUser Group UsersWorkPattern
PUTProcedure
/procedure/batch
Batch edit procedures
Edits multiple procedures based on the provided data.
Base URL
https://<tenant>.dieagenturverwaltung.de/api/v2
Required Security
ApiKeyAuth (Authorization: Session Token)
Produces
application/json
Request
Body Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| procedures | array<app.Procedure> | Yes | Procedures to edit |
Parameter Models
Inspect object parameters and nested model references without loading the full Swagger file in the browser.
proceduresBody parameterarray<app.Procedure>
Array item type
available_as_task
boolean
No description.
budget
string
No description.
date_begin
integer
No description.
date_created
integer
No description.
date_deadline
integer
No description.
date_end
integer
No description.
date_modified
integer
No description.
deleted_at
integer
No description.
description
string
No description.
done_tasks
integer
Number of tasks that are done
estimate_position_id
integer
TODO: rename to estimate_position_id
id
integer
No description.
job_id
integer
No description.
name
string
No description.
ordinal_number
integer
TODO: rename to ordinal_number
organisation_id
integer
No description.
person_id
integer
No description.
tasks
integer
Total number of tasks
time_estimated
integer
No description.
token
string
No description.
worktime
number
No description.
cURL
curl -X PUT 'https://<tenant>.dieagenturverwaltung.de/api/v2/procedure/batch' \
-H 'Accept: application/json' \
-H 'Authorization: Session Token' \
-H 'Content-Type: application/json' \
--data-raw '[
{
"attachments": [
{}
],
"available_as_task": true,
"board_cards": [
{}
],
"budget": "string",
"comments": [
{}
],
"date_begin": 123,
"date_created": 123,
"date_deadline": 123,
"date_end": 123,
"date_modified": 123,
"deleted_at": 123,
"description": "string",
"done_tasks": 123,
"estimate_position": {},
"estimate_position_id": 123,
"id": 123,
"job_id": 123,
"job_tasks": [
{}
],
"listeners": [
{}
],
"name": "string",
"ordinal_number": 123,
"organisation_id": 123,
"person_id": 123,
"priority": 1,
"small_job": {},
"small_users": [
{}
],
"status": "nicht begonnen",
"tags": [
{}
],
"tasks": 123,
"time_estimated": 123,
"token": "string",
"users": [
{}
],
"worktime": 123.45
}
]'Request Body (application/json)
[
{
"attachments": [
{...}
],
"available_as_task": true,
"board_cards": [
{...}
],
"budget": "string",
"comments": [
{...}
],
"date_begin": 123,
"date_created": 123,
"date_deadline": 123,
"date_end": 123,
"date_modified": 123,
"deleted_at": 123,
"description": "string",
"done_tasks": 123,
"estimate_position": {...},
"estimate_position_id": 123,
"id": 123,
"job_id": 123,
"job_tasks": [
{...}
],
"listeners": [
{...}
],
"name": "string",
"ordinal_number": 123,
"organisation_id": 123,
"person_id": 123,
"priority": 1,
"small_job": {...},
"small_users": [
{...}
],
"status": "nicht begonnen",
"tags": [
{...}
],
"tasks": 123,
"time_estimated": 123,
"token": "string",
"users": [
{...}
],
"worktime": 123.45
}
]Responses
204No Content
unknownapplication/json
400Bad Request
rest_errors.Errorapplication/json
Example
{
"code": 123,
"extras": {...},
"message": "string",
"status_code": 123
}403Forbidden
rest_errors.Errorapplication/json
Example
{
"code": 123,
"extras": {...},
"message": "string",
"status_code": 123
}500Internal Server Error
rest_errors.Errorapplication/json
Example
{
"code": 123,
"extras": {...},
"message": "string",
"status_code": 123
}